#include <stdio.h>

int main() {
    int n;
    
    // Richiedi all'utente di inserire il numero di caratteri
    printf("Inserisci il numero di caratteri: ");
    scanf("%d", &n);

    // Leggi e controlla ciascun carattere
    printf("Inserisci %d caratteri:\n", n);
    for (int i = 0; i < n; i++) {
        char carattere;

        // Leggi il carattere
        scanf(" %c", &carattere);

        // Controlla se il carattere è una lettera maiuscola
        if (carattere >= 'A' && carattere <= 'Z') {
            // Trasforma la lettera maiuscola in minuscola
            carattere = carattere + 32;
        }
        // Controlla se il carattere è una lettera minuscola
        else if (carattere >= 'a' && carattere <= 'z') {
            // Trasforma la lettera minuscola in maiuscola
            carattere = carattere - 32;
        }
        // Controlla se il carattere è un carattere numerico
        else if (carattere >= '0' && carattere <= '9') {
            // Trasforma il carattere numerico nel carattere '9'
            carattere = '9';
        }

        // Stampa il carattere trasformato
        printf("%c ", carattere);
    }

    printf("\n");

    return 0;
}